Skip to content
Go to Boltz API

List workspaces

GET/compute/v1/admin/workspaces

List workspaces

Query ParametersExpand Collapse
after_id: optional string

Return results after this ID

before_id: optional string

Return results before this ID

limit: optional number

Max items to return

minimum1
maximum100
ReturnsExpand Collapse
data: array of object { id, archived_at, created_at, 4 more }
id: string

Workspace ID

archived_at: string
formatdate-time
created_at: string
formatdate-time
data_retention: object { unit, value }

How long result data is retained before automatic deletion. Defaults to 7 days if not specified. Maximum retention is 14 days (336 hours).

unit: "hours" or "days"

Time unit for retention duration

Accepts one of the following:
"hours"
"days"
value: number

Duration value. Maximum retention is 14 days (or 336 hours).

minimum1
is_default: boolean

Whether this is the default workspace

name: string

Workspace name

updated_at: string
formatdate-time
first_id: string

ID of the first item. Use as before_id for the previous page.

has_more: boolean
last_id: string

ID of the last item. Use as after_id for the next page.

List workspaces

curl https://api.boltz.bio/compute/v1/admin/workspaces \
    -H "x-api-key: $BOLTZ_API_KEY"
{
  "data": [
    {
      "id": "id",
      "archived_at": "2019-12-27T18:11:19.117Z",
      "created_at": "2019-12-27T18:11:19.117Z",
      "data_retention": {
        "unit": "hours",
        "value": 1
      },
      "is_default": true,
      "name": "name",
      "updated_at": "2019-12-27T18:11:19.117Z"
    }
  ],
  "first_id": "first_id",
  "has_more": true,
  "last_id": "last_id"
}
Returns Examples
{
  "data": [
    {
      "id": "id",
      "archived_at": "2019-12-27T18:11:19.117Z",
      "created_at": "2019-12-27T18:11:19.117Z",
      "data_retention": {
        "unit": "hours",
        "value": 1
      },
      "is_default": true,
      "name": "name",
      "updated_at": "2019-12-27T18:11:19.117Z"
    }
  ],
  "first_id": "first_id",
  "has_more": true,
  "last_id": "last_id"
}